#ifndef __FILECREATE_TYPECHOOSERSIG_H__
#define __FILECREATE_TYPECHOOSERSIG_H__

#include <tqobject.h>

namespace FileCreate {

class FileType;

class Signaller : public TQObject {
  TQ_OBJECT
  

public:
  Signaller() : TQObject() { } 
  virtual ~Signaller() { } 

  virtual void signal(const FileType * filetype ) {
    emit filetypeSelected(filetype);
  }
  
    
signals:
  void filetypeSelected(const FileType * filetype);
};

}

#endif
